import { IOutput } from '@jupyterlab/nbformat';
import { IOutputAreaModel } from '@jupyterlab/outputarea';
import OutputAdapter from './OutputAdapter';
import Kernel from '../../jupyter/kernel/Kernel';
import './Output.css';
export type IOutputProps = {
    outputs?: IOutput[];
    outputAreaModel?: IOutputAreaModel;
    adapter?: OutputAdapter;
    kernel: Kernel;
    autoRun: boolean;
    disableRun: boolean;
    showEditor: boolean;
    code: string;
    codePre?: string;
    clearTrigger: number;
    sourceId: string;
    receipt?: string;
    executeTrigger: number;
    toolbarPosition: 'up' | 'middle' | 'none';
    insertText?: (payload?: any) => string;
    lumino: boolean;
};
export declare const Output: {
    (props: IOutputProps): import("react/jsx-runtime").JSX.Element;
    defaultProps: Partial<IOutputProps>;
};
export default Output;
