import { Signal } from '@lumino/signaling';
import { IOutput } from '@jupyterlab/nbformat';
import { IOutputAreaModel } from '@jupyterlab/outputarea';
import { Kernel, KernelMessage } from '@jupyterlab/services';
export declare class KernelExecutor {
    private _kernelConnection;
    private _outputs;
    private _outputsChanged;
    private _outputAreaModel;
    private _outputAreaModelChanged;
    private _executeReplyReceived;
    private _future?;
    private _executed;
    private _executedResolve;
    constructor(kernelConnection: Kernel.IKernelConnection);
    execute(code: string): Kernel.IFuture<KernelMessage.IExecuteRequestMsg, KernelMessage.IExecuteReplyMsg> | undefined;
    private _onIOPub;
    private _onReply;
    get executed(): Promise<void>;
    get future(): Kernel.IFuture<KernelMessage.IExecuteRequestMsg, KernelMessage.IExecuteReplyMsg> | undefined;
    set future(value: Kernel.IFuture<KernelMessage.IExecuteRequestMsg, KernelMessage.IExecuteReplyMsg> | undefined);
    get outputs(): IOutput[];
    get outputsChanged(): Signal<KernelExecutor, IOutput[]>;
    get outputAreaModel(): IOutputAreaModel;
    get outputAreaModelChanged(): Signal<KernelExecutor, IOutputAreaModel>;
    get executeReplyReceived(): Signal<KernelExecutor, IOutputAreaModel>;
}
export default KernelExecutor;
